Page MenuHomePhabricator

Unable to import latest message changes to translatewiki.net
Closed, ResolvedPublic

Description

It fails with: Fatal exception of type "Wikimedia\Assert\ParameterAssertionException":

srv/mediawiki/tags/2018-04-05_07:58:17/vendor/wikimedia/assert/src/Assert.php: Bad value for parameter $dbkey: invalid DB key '_100_day_trends/en'
#0 /srv/mediawiki/tags/2018-04-05_07:58:17/includes/title/TitleValue.php(86): Wikimedia\Assert\Assert::parameter(boolean, string, string)
#1 /srv/mediawiki/tags/2018-04-05_07:58:17/includes/cache/LinkBatch.php(176): TitleValue->__construct(integer, string)
#2 /srv/mediawiki/tags/2018-04-05_07:58:17/includes/cache/LinkBatch.php(140): LinkBatch->addResultToCache(LinkCache, Wikimedia\Rdbms\ResultWrapper)
#3 /srv/mediawiki/tags/2018-04-05_07:58:17/includes/cache/LinkBatch.php(127): LinkBatch->executeInto(LinkCache)
#4 /srv/mediawiki/tags/2018-04-05_07:58:17/extensions/Translate/specials/SpecialManageGroups.php(161): LinkBatch->execute()
#5 /srv/mediawiki/tags/2018-04-05_07:58:17/extensions/Translate/specials/SpecialManageGroups.php(75): SpecialManageGroups->showChanges(boolean, integer)
#6 /srv/mediawiki/tags/2018-04-05_07:58:17/includes/specialpage/SpecialPage.php(522): SpecialManageGroups->execute(string)
#7 /srv/mediawiki/tags/2018-04-05_07:58:17/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(string)
#8 /srv/mediawiki/tags/2018-04-05_07:58:17/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#9 /srv/mediawiki/tags/2018-04-05_07:58:17/includes/MediaWiki.php(861): MediaWiki->performRequest()
#10 /srv/mediawiki/tags/2018-04-05_07:58:17/includes/MediaWiki.php(524): MediaWiki->main()
#11 /srv/mediawiki/tags/2018-04-05_07:58:17/index.php(42): MediaWiki->run()

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2018, 1:10 PM
Nikerabbit triaged this task as Unbreak Now! priority.
Nikerabbit moved this task from Backlog to In Review on the Language-2018-Apr-June board.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 25 2018, 1:11 PM

Change 428918 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] StringMatcher: Handle more cases that produce invalid titles

https://gerrit.wikimedia.org/r/428918

Change 428918 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] StringMatcher: Handle more cases that produce invalid titles

https://gerrit.wikimedia.org/r/428918

Nikerabbit closed this task as Resolved.Apr 25 2018, 7:51 PM
Nikerabbit moved this task from In Review to Done on the Language-2018-Apr-June board.
Nikerabbit removed a project: Patch-For-Review.

Verified that workflow on translatewiki.net is unblocked.

Vvjjkkii renamed this task from Unable to import latest message changes to translatewiki.net to k9daaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Nikerabbit as the assignee of this task.
Vvjjkkii lowered the priority of this task from Unbreak Now! to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
AfroThundr3007730 renamed this task from k9daaaaaaa to Unable to import latest message changes to translatewiki.net.Jul 1 2018, 6:59 AM
AfroThundr3007730 closed this task as Resolved.
AfroThundr3007730 assigned this task to Nikerabbit.
AfroThundr3007730 raised the priority of this task from High to Unbreak Now!.
AfroThundr3007730 updated the task description. (Show Details)
AfroThundr3007730 added subscribers: GerritBot, Aklapper.